/*
 * Base structure
 */

/* Move down content because we have a fixed navbar that is 50px tall */
body {
    padding-top: 50px;
}


/*
 * Global add-ons
 */

.sub-header {
    padding-bottom: 10px;
    border-bottom: 1px solid #eee;
}

/*
 * Top navigation
 * Hide default border to remove 1px line.
 */
.navbar-fixed-top {
    border: 0;
}

/*
 * Sidebar
 */

/* Hide for mobile, show later */
.sidebar {
    display: none;
}
@media (min-width: 768px) {
    .sidebar {
        position: fixed;
        top: 51px;
        bottom: 0;
        left: 0;
        z-index: 1000;
        display: block;
        padding: 20px;
        overflow-x: hidden;
        overflow-y: auto; /* Scrollable contents if viewport is shorter than content. */
        background-color: #f5f5f5;
        border-right: 1px solid #eee;
    }
}

/* Sidebar navigation */
.nav-sidebar {
    margin-right: -21px; /* 20px padding + 1px border */
    margin-bottom: 20px;
    margin-left: -20px;
}
.nav-sidebar > li > a {
    padding-right: 20px;
    padding-left: 20px;
}
.nav-sidebar > .active > a,
.nav-sidebar > .active > a:hover,
.nav-sidebar > .active > a:focus {
    color: #fff;
    background-color: #428bca;
}


/*
 * Main content
 */

.main {
    padding: 20px;
}
@media (min-width: 768px) {
    .main {
        padding-right: 40px;
        padding-left: 40px;
    }
}
.main .page-header {
    margin-top: 0;
}


/*
 * Placeholder dashboard ideas
 */

.placeholders {
    margin-bottom: 30px;
    text-align: center;
}
.placeholders h4 {
    margin-bottom: 0;
}
.placeholder {
    margin-bottom: 20px;
}
.placeholder img {
    display: inline-block;
    border-radius: 50%;
}

/*
 * Dashboard stats
 */

.stats {
    width: 100%;
    text-align: center;
}

.stats-title {
    color: #adadad;
    font-size: 12pt;
}

.stats-value {
    color: #58BFB7;
    font-size: 25pt;
    font-weight: bold;
}

.p-5 {
    padding: 5px;
}

.h-285 {
    height: 285px;
}

.h-300 {
    height: 300px;
}

.chart-container {
    height: 250px;
}

.ct-label {
    font-size: 10pt;
}

.ct-vertical {
    /*font-weight: bold;*/
}

.ct-bar-label {
    font-size: 10pt;
    fill: #adadad;
}

.ct-legend li:before {
    top: 4px;
}

.ct-series-a .ct-point, .ct-series-a .ct-line, .ct-series-a .ct-bar, .ct-series-a .ct-slice-donut {
    stroke: #58BFB7;
}

.ct-series-b .ct-point, .ct-series-b .ct-line, .ct-series-b .ct-bar, .ct-series-b .ct-slice-donut {
    stroke: #CCCCCC;
}

.ct-legend {
    position: relative;
    z-index: 10;
    list-style: none;
    text-align: center;
}
.ct-legend li {
    position: relative;
    padding-left: 23px;
    margin-right: 10px;
    margin-bottom: 3px;
    cursor: pointer;
    display: inline-block;
}
.ct-legend li:before {
    width: 12px;
    height: 12px;
    position: absolute;
    left: 0;
    content: '';
    border: 3px solid transparent;
    border-radius: 2px;
}
.ct-legend li.inactive:before {
    background: transparent;
}
.ct-legend.ct-legend-inside {
    position: absolute;
    top: 0;
    right: 0;
}
.ct-legend.ct-legend-inside li{
    display: block;
    margin: 0;
}
.ct-legend .ct-series-0:before {
    background-color: #58BFB7;
    border-color: #58BFB7;
}
.ct-legend .ct-series-1:before {
    background-color: #CCCCCC;
    border-color: #CCCCCC;
}
.ct-legend .ct-series-2:before {
    background-color: #f4c63d;
    border-color: #f4c63d;
}
.ct-legend .ct-series-3:before {
    background-color: #d17905;
    border-color: #d17905;
}
.ct-legend .ct-series-4:before {
    background-color: #453d3f;
    border-color: #453d3f;
}

.ct-axis-title {
    fill: rgba(0, 0, 0, 0.5);
    font-size: 10pt;
}

.happy-series .ct-bar {
    stroke: #00CC66;
}

.sad-series .ct-bar {
    stroke: #E25050;
}

.happy-sad-legend .ct-series-0:before {
    background-color: #00CC66;
    border-color: #00CC66;
}

.happy-sad-legend .ct-series-1:before {
    background-color: #E25050;
    border-color: #E25050;
}